package org.netkernel.layer0.nkf.impl;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;

public class LiteralParameterException extends Exception
{
	private final Object mRepresentation;
	private final String mName;
	
	public LiteralParameterException(String aName, Object aRepresentation)
	{	mRepresentation=aRepresentation;
		mName=aName;
	}
	
	public Object getRepresentation()
	{	return mRepresentation;
	}
	
	public String getName()
	{	return mName;
	}
}