package org.netkernel.layer0.representation;

/** A Wrapper around a throwable so that NetKernel doesn't treat it is an unhandled exception
 * @author tab
 */
public class WrappedThrowable
{
	private final Throwable mThrowable;
	
	public WrappedThrowable(Throwable aThrowable)
	{	mThrowable=aThrowable;
	}
	
	/** Return the wrapped throwable
	 */
	public Throwable getThrowable()
	{	return mThrowable;
	}
}